#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-system-monitor
Version		:	47.0
Release		:	17.2.0.rel%{?dist}
Summary		:	 Process and resource monitor

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and GFDL
URL		:	https://gitlab.gnome.org/GNOME/gnome-system-monitor

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	adwaita-icon-theme
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	desktop-file-utils
BuildRequires	:	gtkmm-devel
BuildRequires	:	libgtop
BuildRequires	:	libadwaita-devel
BuildRequires	:	librsvg-devel
BuildRequires	:	meson

#-----------------------------------------------------------------------------
%description
Gnome-system-monitor allows to graphically view and
manipulate the running processes on your system.
It also provides an overview of available resources
such as CPU and memory.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/gnome-system-monitor
%{_libexecdir}/gnome-system-monitor/gsm-*
%{_datadir}/applications/org.gnome.SystemMonitor.desktop
%{_datadir}/applications/gnome-system-monitor-kde.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/%{name}/gsm.gresource
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.SystemMonitor*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SystemMonitor-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/processes-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/resources-symbolic.svg
%{_datadir}/metainfo/org.gnome.SystemMonitor.appdata.xml
%{_datadir}/polkit-1/actions/org.gnome.%{name}.policy

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release 				\
	-D systemd=false				\
	_bld

meson	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
desktop-file-validate 					\
	%{buildroot}%{_datadir}/applications/org.gnome.SystemMonitor.desktop
desktop-file-validate 					\
	%{buildroot}%{_datadir}/applications/gnome-system-monitor-kde.desktop

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

%find_lang %{name} --with-gnome
#-----------------------------------------------------------------------------
%changelog
